# PCLinuxOS does not have a recent enough version of python-logilab-common
# that provides a python3 subpackage, and I'm not sure what stuff depends on
# it to update python-logilab-common, replace python-logilab-astng with
# python-astroid, and update all the things that depend on python-logilab-* stuff.
# So, for now, python3 subpackage is disabled.
%bcond_with python3

%define module  bugzilla

Name:           python-bugzilla
Version:        1.2.2
Release:        %mkrel 1
Summary:        A python library and tool for interacting with Bugzilla
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/python-bugzilla/python-bugzilla
#Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-requests
BuildRequires:  python-setuptools
BuildRequires:  python-logilab-common

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3-logilab-common
%endif # if with_python3

%description
python-bugzilla is a python 2/3 library for interacting with bugzilla instances
over XML-RPC. This package also includes the 'bugzilla' command-line tool
for interacting with bugzilla from shell scripts.

%package -n python2-%{module}
Summary:  A python 2 library for interacting with Bugzilla
Group:    Development/Python
Provides: %{name} = %{version}-%{release}
Requires: python-requests

%description -n python2-%{module}
python2-bugzilla is a python 2 library for interacting with bugzilla instances
over XML-RPC.

%if %{with python3}
%package -n python3-bugzilla
Summary:  A python 3 library for interacting with Bugzilla
Group:    Development/Python
Requires: python3-requests

%description -n python3-%{module}
python3-bugzilla is a python 3 library for interacting with bugzilla instances
over XML-RPC.
%endif # if with_python3

%package cli
Summary:  A python CLI tool for interacting with Bugzilla
Group:    Development/Tools
%if %{with python3}
Requires: python3-%{module}
%else
Requires: python2-%{module}
%endif

%description cli
This package includes the 'bugzilla' command-line tool
for interacting with bugzilla from shell scripts.


%prep
%setup -q

%if %{with python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python2} setup.py build

%if %{with python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%if %{with python3}
# Remove Python 2 version of bugzilla CLI
rm %{buildroot}%{_bindir}/bugzilla
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif # with_python3


%check
%if %{with python3}
%{__python3} setup.py test
%else
%{__python2} setup.py test
%endif

%files cli
%doc COPYING README.md
%{_bindir}/bugzilla
%{_mandir}/man1/bugzilla.1.*

%files -n python2-%{module}
%doc COPYING README.md
%{python2_sitelib}/%{module}
%{python2_sitelib}/*egg-info

%if %{with python3}
%files -n python3-%{module}
%doc COPYING README.md
%{python3_sitelib}/%{module}
%{python3_sitelib}/*egg-info
%endif # with_python3



%changelog
* Thu Dec  3 2015 Conan Kudo <Conan Kudo> - 1.2.2-1
- Initial package based on Mageia spec
